Migrate website to monorepo (#1962)

* Adds website as a submodule

* Added website to monorepo

* Adds script to depliy submodules on Vercel

* Updates website

* Updates vercel script

* Sets default branch name as main

* Update website

* Cleanup git logs in Vercel

* Update website

* Update website
This commit is contained in:
Omar López 2022-02-23 13:35:23 -07:00 committed by GitHub
parent eac2e4e53e
commit 73cdf5dda5
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
5 changed files with 1261 additions and 51 deletions

3
.gitmodules vendored Normal file
View File

@ -0,0 +1,3 @@
[submodule "apps/website"]
path = apps/website
url = git@github.com:calcom/website.git

6
.husky/post-receive Executable file
View File

@ -0,0 +1,6 @@
#!/bin/sh
. "$(dirname "$0")/_/husky.sh"
echo "Updating submodules recursively"
pwd
git submodule update --init --recursive

1
apps/website Submodule

@ -0,0 +1 @@
Subproject commit 4bcd19ab849eea4f7496998b7a4896509a77a728

41
vercel.sh Executable file
View File

@ -0,0 +1,41 @@
# github submodule repo address without https:// prefix
SUBMODULE_GITHUB=github.com/calcom/website
# .gitmodules submodule path
SUBMODULE_PATH=apps/website
# github access token is necessary
# add it to Environment Variables on Vercel
if [ "$GITHUB_ACCESS_TOKEN" == "" ]; then
echo "Error: GITHUB_ACCESS_TOKEN is empty"
exit 1
fi
# stop execution on error - don't let it build if something goes wrong
set -e
# get submodule commit
output=`git submodule status --recursive` # get submodule info
no_prefix=${output#*-} # get rid of the prefix
COMMIT=${no_prefix% *} # get rid of the suffix
# set up an empty temporary work directory
rm -rf tmp || true # remove the tmp folder if exists
mkdir tmp # create the tmp folder
cd tmp # go into the tmp folder
# checkout the current submodule commit
git config --global init.defaultBranch main
git config --global advice.detachedHead false
git init # initialise empty repo
git remote add origin https://$GITHUB_ACCESS_TOKEN@$SUBMODULE_GITHUB # add origin of the submodule
git fetch --depth=1 origin $COMMIT # fetch only the required version
git checkout $COMMIT # checkout on the right commit
# move the submodule from tmp to the submodule path
cd .. # go folder up
rm -rf tmp/.git # remove .git
mv tmp/* $SUBMODULE_PATH/ # move the submodule to the submodule path
# clean up
rm -rf tmp # remove the tmp folder

1261
yarn.lock

File diff suppressed because it is too large Load Diff